Pandabase
Store APIsCases

Get case

GET
/stores/{storeId}/cases/{caseId}

Retrieves a support case by ID. Requires the CASES_READ scope.

Authorization

AuthorizationBearer <token>

Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.

In: header

Path Parameters

storeId*string
Length12 <= length <= 48
caseId*string
Length12 <= length <= 48

Header Parameters

idempotency-key?string
Length8 <= length <= 32

Response Body

application/json

application/json

curl -X GET "https://example.com/stores/stringstring/cases/stringstring"
{  "ok": true,  "data": {    "id": "case_8q1mzj0kxw5h7n4tr3bcfp2v",    "subject": "License key not working",    "status": "OPEN",    "priority": "NORMAL",    "orderId": "ord_p2v8q1mzj0kxw5h7n4tr3bcf",    "customerId": "cus_j8h0r1n4tzcbfp2v8q1mzwx5",    "lastMessageAt": "2026-05-14T13:00:00.000Z",    "lastMessageBy": "CUSTOMER",    "unreadCount": 1,    "escalated": false,    "closedAt": null,    "closedBy": null,    "createdAt": "2026-05-14T12:55:00.000Z",    "updatedAt": "2026-05-14T13:00:00.000Z"  }}

Last updated on